# -*- encoding: utf-8 -*-
# stub: after_commit_queue 1.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "after_commit_queue"
  s.version = "1.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Grzegorz Ko\u{142}odziejczyk", "Mariusz Pietrzyk"]
  s.date = "2015-10-05"
  s.description = "Plugin for running methods on ActiveRecord models after record is committed"
  s.email = ["devs@shellycloud.com"]
  s.files = ["MIT-LICENSE", "README.md", "Rakefile", "lib/after_commit_queue.rb", "lib/after_commit_queue/version.rb", "lib/tasks/after_commit_queue_tasks.rake", "test/after_commit_queue_test.rb", "test/dummy/README.rdoc", "test/dummy/Rakefile", "test/dummy/app/assets/javascripts/application.js", "test/dummy/app/assets/stylesheets/application.css", "test/dummy/app/controllers/application_controller.rb", "test/dummy/app/helpers/application_helper.rb", "test/dummy/app/models/server.rb", "test/dummy/app/models/server_observer.rb", "test/dummy/app/views/layouts/application.html.erb", "test/dummy/config.ru", "test/dummy/config/application.rb", "test/dummy/config/boot.rb", "test/dummy/config/database.yml", "test/dummy/config/environment.rb", "test/dummy/config/environments/development.rb", "test/dummy/config/environments/production.rb", "test/dummy/config/environments/test.rb", "test/dummy/config/initializers/backtrace_silencers.rb", "test/dummy/config/initializers/inflections.rb", "test/dummy/config/initializers/mime_types.rb", "test/dummy/config/initializers/secret_token.rb", "test/dummy/config/initializers/session_store.rb", "test/dummy/config/initializers/wrap_parameters.rb", "test/dummy/config/locales/en.yml", "test/dummy/config/routes.rb", "test/dummy/db/migrate/20120622135717_create_servers.rb", "test/dummy/db/schema.rb", "test/dummy/db/test.sqlite3", "test/dummy/log/test.log", "test/dummy/public/404.html", "test/dummy/public/422.html", "test/dummy/public/500.html", "test/dummy/public/favicon.ico", "test/dummy/script/rails", "test/dummy/test/fixtures/servers.yml", "test/dummy/test/unit/server_test.rb", "test/test_helper.rb"]
  s.homepage = "https://github.com/shellycloud/after_commit_queue"
  s.rubygems_version = "2.4.5.1"
  s.summary = "after_commit queue"
  s.test_files = ["test/after_commit_queue_test.rb", "test/dummy/app/assets/javascripts/application.js", "test/dummy/app/assets/stylesheets/application.css", "test/dummy/app/controllers/application_controller.rb", "test/dummy/app/helpers/application_helper.rb", "test/dummy/app/models/server.rb", "test/dummy/app/models/server_observer.rb", "test/dummy/app/views/layouts/application.html.erb", "test/dummy/config/application.rb", "test/dummy/config/boot.rb", "test/dummy/config/database.yml", "test/dummy/config/environment.rb", "test/dummy/config/environments/development.rb", "test/dummy/config/environments/production.rb", "test/dummy/config/environments/test.rb", "test/dummy/config/initializers/backtrace_silencers.rb", "test/dummy/config/initializers/inflections.rb", "test/dummy/config/initializers/mime_types.rb", "test/dummy/config/initializers/secret_token.rb", "test/dummy/config/initializers/session_store.rb", "test/dummy/config/initializers/wrap_parameters.rb", "test/dummy/config/locales/en.yml", "test/dummy/config/routes.rb", "test/dummy/config.ru", "test/dummy/db/migrate/20120622135717_create_servers.rb", "test/dummy/db/schema.rb", "test/dummy/db/test.sqlite3", "test/dummy/log/test.log", "test/dummy/public/404.html", "test/dummy/public/422.html", "test/dummy/public/500.html", "test/dummy/public/favicon.ico", "test/dummy/Rakefile", "test/dummy/README.rdoc", "test/dummy/script/rails", "test/dummy/test/fixtures/servers.yml", "test/dummy/test/unit/server_test.rb", "test/test_helper.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<activerecord>, [">= 3.0"])
      s.add_development_dependency(%q<sqlite3>, [">= 0"])
      s.add_development_dependency(%q<rails>, [">= 3.0"])
    else
      s.add_dependency(%q<activerecord>, [">= 3.0"])
      s.add_dependency(%q<sqlite3>, [">= 0"])
      s.add_dependency(%q<rails>, [">= 3.0"])
    end
  else
    s.add_dependency(%q<activerecord>, [">= 3.0"])
    s.add_dependency(%q<sqlite3>, [">= 0"])
    s.add_dependency(%q<rails>, [">= 3.0"])
  end
end
